<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: block.mod.xsl,v 1.2 2001/03/14 23:16:58 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->

<xsl:stylesheet
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
        exclude-result-prefixes="doc" version='1.0'>

<xsl:template name="block.object">
<xsl:attribute name="name"> <xsl:call-template name="label.id"/> </xsl:attribute>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="blockquote">
<xsl:text>\layout Quotation&#10;</xsl:text>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="blockquote/para">
<xsl:call-template name="ragged.left.para"/>
</xsl:template>

<xsl:template match="epigraph">
<xsl:apply-templates select="para"/>
</xsl:template>

<xsl:template match="attribution">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="sidebar">
<xsl:call-template name="label.id"/>
\begin_float margin
<xsl:apply-templates/>
\end_float
</xsl:template>

<xsl:template match="sidebar/title">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="ackno">
<xsl:apply-templates/>
</xsl:template>


</xsl:stylesheet>
