<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>
<!--########################################################################### 
 |    $Id: preface.mod.xsl,v 1.3 2001/03/31 13:00:54 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->


<xsl:template match="preface">
<xsl:call-template name="unsupported.block"/>
</xsl:template>

<xsl:template match="preface/title"></xsl:template>
<xsl:template match="preface/titleabbrev"></xsl:template>
<xsl:template match="preface/subtitle"></xsl:template>
<xsl:template match="preface/docinfo|prefaceinfo"></xsl:template>


<xsl:template match="preface/sect1">
<xsl:text>&#10;\section*{</xsl:text><xsl:copy-of select="normalize-space(title)"/>}<xsl:text>&#10;</xsl:text>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="preface/sect1/sect2">
<xsl:text>&#10;\subsection*{</xsl:text><xsl:copy-of select="normalize-space(title)"/>}<xsl:text>&#10;</xsl:text>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="preface/sect1/sect2/sect3">
<xsl:text>&#10;\subsubsection*{</xsl:text><xsl:copy-of select="normalize-space(title)"/>}<xsl:text>&#10;</xsl:text>
<xsl:apply-templates/>
</xsl:template>


</xsl:stylesheet>

